Index: /palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 565)
+++ /palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 566)
@@ -1442,5 +1570,6 @@
       if (v1 .EQ. 0)then
          print(" ")
-         print("Component 1 for the vector-plot ('vec1') must be one of the varibles on the input file:")
+         print("Component 1 for the vector-plot ('vec1') must be one "+\
+               "of the variables on the input file:")
 	 print("- "+var_input)
 	 print("be sure to have one comma before and after the variable")
@@ -1451,5 +1580,6 @@
       if (v2 .EQ. 0)then
          print(" ")
-         print("Component 2 for the vector-plot ('vec2') must be one of the varibles on the input file:")
+         print("Component 2 for the vector-plot ('vec2') must be one "+\
+               "of the variables on the input file:")
 	 print("- "+var_input)
 	 print("be sure to have one comma before and after the variable")
@@ -1478,5 +1608,6 @@
                                          + no_time*no_layer/),graphic)
    else
-      plot=new((/no_time*no_layer*no_var - no_time*(no_layer-1)*no_zu1/),graphic)
+      plot=new((/no_time*no_layer*no_var - no_time*(no_layer-1)*no_zu1/)\
+                                                                ,graphic)
    end if
    dim_plot=dimsizes(plot)
@@ -1546,5 +1677,6 @@
             vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
   	    vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  	    vecres@vcRefLengthF     = 0.05            ; define length of vec ref
+  	    vecres@vcRefLengthF     = 0.05            ; define length of 
+                                                      ; vec ref
   	    vecres@gsnRightString   = "Vector plot of "+vec1+" and "+vec2
 	    vecres@tmXBLabelFontHeightF   = font_size
@@ -1553,15 +1685,19 @@
             vecres@tiYAxisFontHeightF     = font_size
 	    if (sort .EQ. "time")then
-               vecres@gsnLeftString = "t=" + decimalPlaces(t_all(li)/3600,2,True) +"h   "+level	
+               vecres@gsnLeftString = "t=" + \
+                             decimalPlaces(t_all(li)/3600,2,True) +"h   "+level
 	    else
-	       vecres@gsnLeftString = "t=" + decimalPlaces(t_all(lo)/3600,2,True) +"h   "+level	
+	       vecres@gsnLeftString = "t=" + \
+                             decimalPlaces(t_all(lo)/3600,2,True) +"h   "+level
 	    end if
 	    if (xyc .EQ. 1) then  
                vecres@tiXAxisString = "x (m)"
 	       vecres@tiYAxisString = "y (m)"   
-	       if (sort .EQ. "time")then                                          
-                  plot(n) = gsn_csm_vector(wks_ps,vect1(li,lo-los,:,:),vect2(li,lo-los,:,:),vecres)
+	       if (sort .EQ. "time")then
+                  plot(n) = gsn_csm_vector(wks_ps,vect1(li,lo-los,:,:),\
+                                               vect2(li,lo-los,:,:),vecres)
 	       else
-	          plot(n) = gsn_csm_vector(wks_ps,vect1(lo,li-lis,:,:),vect2(lo,li-lis,:,:),vecres)
+	          plot(n) = gsn_csm_vector(wks_ps,vect1(lo,li-lis,:,:),\
+                                                vect2(lo,li-lis,:,:),vecres)
 	       end if
 	    end if
@@ -1570,7 +1706,9 @@
 	       vecres@tiYAxisString = "z (m)" 
 	       if (sort .EQ. "time")then 
-	          plot(n) = gsn_csm_vector(wks_ps,vect1(li,:,lo-los,:),vect2(li,:,lo-los,:),vecres)
+	          plot(n) = gsn_csm_vector(wks_ps,vect1(li,:,lo-los,:),\
+                                               vect2(li,:,lo-los,:),vecres)
 	       else
-	          plot(n) = gsn_csm_vector(wks_ps,vect1(lo,:,li-lis,:),vect2(lo,:,li-lis,:),vecres)
+	          plot(n) = gsn_csm_vector(wks_ps,vect1(lo,:,li-lis,:),\
+                                                vect2(lo,:,li-lis,:),vecres)
 	       end if
 	    end if
@@ -1579,7 +1717,9 @@
 	       vecres@tiYAxisString = "z (m)" 
 	       if (sort .EQ. "time")then 
-	          plot(n) = gsn_csm_vector(wks_ps,vect1(li,:,:,lo-los),vect2(li,:,:,lo-los),vecres)
+	          plot(n) = gsn_csm_vector(wks_ps,vect1(li,:,:,lo-los),\
+                                                vect2(li,:,:,lo-los),vecres)
 	       else
-	          plot(n) = gsn_csm_vector(wks_ps,vect1(lo,:,:,li-lis),vect2(lo,:,:,li-lis),vecres)
+	          plot(n) = gsn_csm_vector(wks_ps,vect1(lo,:,:,li-lis),\
+                                                vect2(lo,:,:,li-lis),vecres)
 	       end if
 	    end if
@@ -1592,8 +1732,18 @@
 
       if (vector .EQ. 1 ) then    
-         check_vecp = isStrSubset( plotvec,","+vNam(varn)+",") 
+         check_vecp = isStrSubset( plotvec,","+vNam(varn)+",")
       end if 
      
-      if ( vNam(varn) .eq. "zw" .or. vNam(varn) .eq. "yv" .or. vNam(varn) .eq. "xu" .or. vNam(varn) .eq. "zu" .or. vNam(varn) .eq. "zwwi" .or. vNam(varn) .eq. "zusi" .or. vNam(varn) .eq. "time" .or. vNam(varn) .eq. "zu_3d" .or. vNam(varn) .eq. "zw_3d" .or. vNam(varn) .eq. "x".or. vNam(varn) .eq. "y" .or. vNam(varn) .eq. "zu_xy" .or. vNam(varn) .eq. "zw_xy" .or. vNam(varn) .eq. "zu1_xy" .or. vNam(varn) .eq. "ind_z_xy" .or. vNam(varn) .eq. "y_xz" .or. vNam(varn) .eq. "yv_xz" .or. vNam(varn) .eq. "ind_y_xz" .or. vNam(varn) .eq. "x_yz" .or. vNam(varn) .eq. "xu_yz" .or. vNam(varn) .eq. "ind_x_yz") then
+      if ( vNam(varn) .eq. "zw" .or. vNam(varn) .eq. "yv" .or.          \
+           vNam(varn) .eq. "xu" .or. vNam(varn) .eq. "zu" .or.          \
+           vNam(varn) .eq. "zwwi" .or. vNam(varn) .eq. "zusi" .or.      \
+           vNam(varn) .eq. "time" .or. vNam(varn) .eq. "zu_3d" .or.     \
+           vNam(varn) .eq. "zw_3d" .or. vNam(varn) .eq. "x".or.         \
+           vNam(varn) .eq. "y" .or. vNam(varn) .eq. "zu_xy" .or.        \
+           vNam(varn) .eq. "zw_xy" .or. vNam(varn) .eq. "zu1_xy" .or.   \
+           vNam(varn) .eq. "ind_z_xy" .or. vNam(varn) .eq. "y_xz" .or.  \
+           vNam(varn) .eq. "yv_xz" .or. vNam(varn) .eq. "ind_y_xz" .or. \
+           vNam(varn) .eq. "x_yz" .or. vNam(varn) .eq. "xu_yz" .or.     \
+           vNam(varn) .eq. "ind_x_yz") then
          check = False 
       else
@@ -1642,29 +1792,47 @@
                      end if
 
-                     if(vNam(varn) .eq. "lwps_xy" .or. vNam(varn) .eq. "pras_xy"       \
-                         .or. vNam(varn) .eq. "prrs_xy" .or. vNam(varn) .eq. "qsws_xy" \
-                         .or. vNam(varn) .eq. "shfs_xy" .or. vNam(varn) .eq. "ts_xy"   \
-                         .or. vNam(varn) .eq. "us_xy" .or. vNam(varn) .eq. "z0s_xy"    \
-                         .or. vNam(varn) .eq. "lwp*_xy" .or. vNam(varn) .eq. "pra*_xy" \
-                         .or. vNam(varn) .eq. "prr*_xy" .or. vNam(varn) .eq. "qsws*_xy"\
-                         .or. vNam(varn) .eq. "shf*_xy" .or. vNam(varn) .eq. "t*_xy"   \
-                         .or. vNam(varn) .eq. "u*_xy" .or. vNam(varn) .eq. "z0*_xy") then
+                     if(vNam(varn) .eq. "lwps_xy"  .or. \
+                        vNam(varn) .eq. "pras_xy"  .or. \
+                        vNam(varn) .eq. "prrs_xy"  .or. \
+                        vNam(varn) .eq. "qsws_xy"  .or. \
+                        vNam(varn) .eq. "shfs_xy"  .or. \
+                        vNam(varn) .eq. "ts_xy"    .or. \
+                        vNam(varn) .eq. "us_xy"    .or. \
+                        vNam(varn) .eq. "z0s_xy"   .or. \
+                        vNam(varn) .eq. "lwp*_xy"  .or. \
+                        vNam(varn) .eq. "pra*_xy"  .or. \
+                        vNam(varn) .eq. "prr*_xy"  .or. \
+                        vNam(varn) .eq. "qsws*_xy" .or. \
+                        vNam(varn) .eq. "shf*_xy"  .or. \
+                        vNam(varn) .eq. "t*_xy"    .or. \
+                        vNam(varn) .eq. "u*_xy"    .or. \
+                        vNam(varn) .eq. "z0*_xy") then
                          loe = 0
                          level = "=" + zu1(0) + "m"
                      end if
                     
-                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(li)/3600,2,True) +"h  z"+level           
-                     plot(n) = gsn_csm_contour(wks_ps,data(varn,li,lo-los,:,:),cs_res) 
+                     cs_res@gsnCenterString = "t=" + \
+                       decimalPlaces(t_all(li)/3600,2,True) +"h  z"+level
+                     plot(n) = gsn_csm_contour(wks_ps,\
+                                           data(varn,li,lo-los,:,:),cs_res) 
                      if (vector .EQ. 1 .AND. check_vecp) then
-                        vecres                  = True            ; vector only resources
-  			vecres@gsnDraw          = False           ; don't draw
-  	                vecres@gsnFrame         = False           ; don't advance frame
-  	                vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  		        vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  		        vecres@vcRefLengthF     = 0.05            ; define length of vec ref  
-                        vecres@gsnRightString   = " "
-                        vecres@gsnLeftString    = " " 
-  			vecres@tiXAxisString    = " "   
-                        plot_vec=gsn_csm_vector(wks_ps,vect1(li,lo-los,:,:),vect2(li,lo-los,:,:),vecres)
+                        vecres                 = True           ; vector only
+                                                                ; resources
+  			vecres@gsnDraw         = False          ; don't draw
+  	                vecres@gsnFrame        = False          ; don't 
+                                                                ; advance frame
+  	                vecres@vcGlyphStyle    = "CurlyVector"  ; curly 
+                                                                ; vectors
+  		        vecres@vcRefMagnitudeF = ref_mag        ; define 
+                                                                ; vector ref 
+                                                                ; mag
+  		        vecres@vcRefLengthF    = 0.05           ; define 
+                                                                ; length of 
+                                                                ; vec ref  
+                        vecres@gsnRightString  = " "
+                        vecres@gsnLeftString   = " " 
+  			vecres@tiXAxisString   = " "   
+                        plot_vec=gsn_csm_vector(wks_ps,\
+                              vect1(li,lo-los,:,:),vect2(li,lo-los,:,:),vecres)
                         overlay(plot(n), plot_vec)
                      end if                         
@@ -1682,30 +1850,49 @@
                      end if 
        
-                     if(vNam(varn) .eq. "lwps_xy" .or. vNam(varn) .eq. "pras_xy"       \
-                         .or. vNam(varn) .eq. "prrs_xy" .or. vNam(varn) .eq. "qsws_xy" \
-                         .or. vNam(varn) .eq. "shfs_xy" .or. vNam(varn) .eq. "ts_xy"   \
-                         .or. vNam(varn) .eq. "us_xy" .or. vNam(varn) .eq. "z0s_xy"    \
-                         .or. vNam(varn) .eq. "lwp*_xy" .or. vNam(varn) .eq. "pra*_xy" \
-                         .or. vNam(varn) .eq. "prr*_xy" .or. vNam(varn) .eq. "qsws*_xy"\
-                         .or. vNam(varn) .eq. "shf*_xy" .or. vNam(varn) .eq. "t*_xy"   \
-                         .or. vNam(varn) .eq. "u*_xy" .or. vNam(varn) .eq. "z0*_xy") then
+                     if(vNam(varn) .eq. "lwps_xy"  .or. \
+                        vNam(varn) .eq. "pras_xy"  .or. \
+                        vNam(varn) .eq. "prrs_xy"  .or. \
+                        vNam(varn) .eq. "qsws_xy"  .or. \
+                        vNam(varn) .eq. "shfs_xy"  .or. \
+                        vNam(varn) .eq. "ts_xy"    .or. \
+                        vNam(varn) .eq. "us_xy"    .or. \
+                        vNam(varn) .eq. "z0s_xy"   .or. \
+                        vNam(varn) .eq. "lwp*_xy"  .or. \
+                        vNam(varn) .eq. "pra*_xy"  .or. \
+                        vNam(varn) .eq. "prr*_xy"  .or. \
+                        vNam(varn) .eq. "qsws*_xy" .or. \
+                        vNam(varn) .eq. "shf*_xy"  .or. \
+                        vNam(varn) .eq. "t*_xy"    .or. \
+                        vNam(varn) .eq. "u*_xy"    .or. \
+                        vNam(varn) .eq. "z0*_xy") then
                          lie = 0
                          level = "=" + zu1(0) + "m"
                      end if
                 
-                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(lo)/3600,2,True) + "h  z"+ level
+                     cs_res@gsnCenterString = "t=" + \
+                           decimalPlaces(t_all(lo)/3600,2,True) + "h  z"+ level
                      
-                     plot(n) = gsn_csm_contour(wks_ps,data(varn,lo,li-lis,:,:),cs_res)
+                     plot(n) = gsn_csm_contour(wks_ps,\
+                                            data(varn,lo,li-lis,:,:),cs_res)
                      if (vector .EQ. 1 .AND. check_vecp) then
-                        vecres                  = True            ; vector only resources
-  			vecres@gsnDraw          = False           ; don't draw
-  			vecres@gsnFrame         = False           ; don't advance frame
-  			vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			vecres@gsnRightString   = " "             ; turn off right string
-  			vecres@gsnLeftString    = " "             ; turn off left string
-  			vecres@tiXAxisString    = " "   
-                        plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li-lis,:,:),vect2(lo,li-lis,:,:),vecres)
+                        vecres                 = True           ; vector only
+                                                                ; resources
+  			vecres@gsnDraw         = False          ; don't draw
+  			vecres@gsnFrame        = False          ; don't 
+                                                                ; advance frame
+  			vecres@vcGlyphStyle    = "CurlyVector"  ; curly vectors
+  			vecres@vcRefMagnitudeF = ref_mag        ; define 
+                                                                ; vector ref 
+                                                                ; mag
+  			vecres@vcRefLengthF    = 0.05           ; define 
+                                                                ; length of 
+                                                                ; vec ref
+  			vecres@gsnRightString  = " "            ; turn off 
+                                                                ; right string
+  			vecres@gsnLeftString   = " "            ; turn off 
+                                                                ; left string
+  			vecres@tiXAxisString   = " "   
+                        plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li-lis,:,:),\
+                                                   vect2(lo,li-lis,:,:),vecres)
                         overlay(plot(n), plot_vec)
                      end if
@@ -1727,17 +1914,28 @@
                         level = "=" + y_d(lo) + "m"
                      end if
-                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(li)/3600,2,True) + "h  y"+ level
-                     plot(n) = gsn_csm_contour(wks_ps,data(varn,li,:,lo-los,:),cs_res)
+                     cs_res@gsnCenterString = "t=" + \
+                           decimalPlaces(t_all(li)/3600,2,True) + "h  y"+ level
+                     plot(n) = gsn_csm_contour(wks_ps,\
+                                              data(varn,li,:,lo-los,:),cs_res)
                      if (vector .EQ. 1 .AND. check_vecp) then
-                        vecres                  = True            ; vector only resources
-  			vecres@gsnDraw          = False           ; don't draw
-  			vecres@gsnFrame         = False           ; don't advance frame
-  			vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			vecres@gsnRightString   = " "             ; turn off right string
-  			vecres@gsnLeftString    = " "             ; turn off left string
-  			vecres@tiXAxisString    = " "   
-                        plot_vec=gsn_csm_vector(wks_ps,vect1(li,:,lo-los,:),vect2(li,:,lo-los,:),vecres)
+                        vecres                 = True           ; vector only 
+                                                                ; resources
+  			vecres@gsnDraw         = False          ; don't draw
+  			vecres@gsnFrame        = False          ; don't 
+                                                                ; advance frame
+  			vecres@vcGlyphStyle    = "CurlyVector"  ; curly vectors
+  			vecres@vcRefMagnitudeF = ref_mag        ; define 
+                                                                ; vector ref 
+                                                                ; mag
+  			vecres@vcRefLengthF    = 0.05           ; define 
+                                                                ; length of 
+                                                                ; vec ref
+  			vecres@gsnRightString  = " "            ; turn off 
+                                                                ; right string
+  			vecres@gsnLeftString   = " "            ; turn off 
+                                                                ; left string
+  			vecres@tiXAxisString   = " "   
+                        plot_vec=gsn_csm_vector(wks_ps,vect1(li,:,lo-los,:),\
+                                                   vect2(li,:,lo-los,:),vecres)
                         overlay(plot(n), plot_vec)
                      end if
@@ -1750,17 +1948,28 @@
                         level = "=" + y_d(li) + "m"
                      end if
-                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(lo)/3600,2,True) + "h  y"+ level
-                     plot(n) = gsn_csm_contour(wks_ps,data(varn,lo,:,li-lis,:),cs_res)
+                     cs_res@gsnCenterString = "t=" + \
+                           decimalPlaces(t_all(lo)/3600,2,True) + "h  y"+ level
+                     plot(n) = gsn_csm_contour(wks_ps,\
+                                              data(varn,lo,:,li-lis,:),cs_res)
                      if (vector .EQ. 1 .AND. check_vecp) then
-                        vecres                  = True            ; vector only resources
-  			vecres@gsnDraw          = False           ; don't draw
-  			vecres@gsnFrame         = False           ; don't advance frame
-  			vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			vecres@gsnRightString   = " "             ; turn off right string
-  			vecres@gsnLeftString    = " "             ; turn off left string
-  			vecres@tiXAxisString    = " "   
-                        plot_vec=gsn_csm_vector(wks_ps,vect1(lo,:,li-lis,:),vect2(lo,:,li-lis,:),vecres)
+                        vecres                 = True           ; vector only 
+                                                                ; resources
+  			vecres@gsnDraw         = False          ; don't draw
+  			vecres@gsnFrame        = False          ; don't 
+                                                                ; advance frame
+  			vecres@vcGlyphStyle    = "CurlyVector"  ; curly vectors
+  			vecres@vcRefMagnitudeF = ref_mag        ; define 
+                                                                ; vector ref 
+                                                                ; mag
+  			vecres@vcRefLengthF    = 0.05           ; define 
+                                                                ; length of 
+                                                                ; vec ref
+  			vecres@gsnRightString  = " "            ; turn off 
+                                                                ; right string
+  			vecres@gsnLeftString   = " "            ; turn off 
+                                                                ; left string
+  			vecres@tiXAxisString   = " "   
+                        plot_vec=gsn_csm_vector(wks_ps,vect1(lo,:,li-lis,:),\
+                                                   vect2(lo,:,li-lis,:),vecres)
                         overlay(plot(n), plot_vec)
                      end if
@@ -1782,17 +1991,28 @@
                         level = "=" + x_d(lo) + "m"
                      end if
-                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(li)/3600,2,True) + "h  x"+ level
-                     plot(n) = gsn_csm_contour(wks_ps,data(varn,li,:,:,lo-los),cs_res)
+                     cs_res@gsnCenterString = "t=" + \
+                          decimalPlaces(t_all(li)/3600,2,True) + "h  x"+ level
+                     plot(n) = gsn_csm_contour(wks_ps,\
+                                          data(varn,li,:,:,lo-los),cs_res)
     	             if (vector .EQ. 1 .AND. check_vecp) then
-                        vecres                  = True            ; vector only resources
-  			vecres@gsnDraw          = False           ; don't draw
-  			vecres@gsnFrame         = False           ; don't advance frame
-  			vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			vecres@gsnRightString   = " "             ; turn off right string
-  			vecres@gsnLeftString    = " "             ; turn off left string
-  			vecres@tiXAxisString    = " "   
-                        plot_vec=gsn_csm_vector(wks_ps,vect1(li,:,:,lo-los),vect2(li,:,:,lo-los),vecres)
+                        vecres                 = True           ; vector only 
+                                                                ; resources
+  			vecres@gsnDraw         = False          ; don't draw
+  			vecres@gsnFrame        = False          ; don't 
+                                                                ; advance frame
+  			vecres@vcGlyphStyle    = "CurlyVector"  ; curly vectors
+  			vecres@vcRefMagnitudeF = ref_mag        ; define 
+                                                                ; vector ref 
+                                                                ; mag
+  			vecres@vcRefLengthF    = 0.05           ; define 
+                                                                ; length of 
+                                                                ; vec ref
+  			vecres@gsnRightString  = " "            ; turn off 
+                                                                ; right string
+  			vecres@gsnLeftString   = " "            ; turn off 
+                                                                ; left string
+  			vecres@tiXAxisString   = " "   
+                        plot_vec=gsn_csm_vector(wks_ps,vect1(li,:,:,lo-los),\
+                                                   vect2(li,:,:,lo-los),vecres)
                         overlay(plot(n), plot_vec)
                      end if
@@ -1805,17 +2025,28 @@
                         level = "=" + x_d(li) + "m"
                      end if
-                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(lo)/3600,2,True) + "h  x"+ level
-                     plot(n) = gsn_csm_contour(wks_ps,data(varn,lo,:,:,li-lis),cs_res)
+                     cs_res@gsnCenterString = "t=" + \
+                           decimalPlaces(t_all(lo)/3600,2,True) + "h  x"+ level
+                     plot(n) = gsn_csm_contour(wks_ps,\
+                                          data(varn,lo,:,:,li-lis),cs_res)
                      if (vector .EQ. 1 .AND. check_vecp)then
-                        vecres                  = True            ; vector only resources
-  			vecres@gsnDraw          = False           ; don't draw
-  			vecres@gsnFrame         = False           ; don't advance frame
-  			vecres@vcGlyphStyle     = "CurlyVector"   ; curly vectors
-  			vecres@vcRefMagnitudeF  = ref_mag         ; define vector ref mag
-  			vecres@vcRefLengthF     = 0.05            ; define length of vec ref
-  			vecres@gsnRightString   = " "             ; turn off right string
-  			vecres@gsnLeftString    = " "             ; turn off left string
-  			vecres@tiXAxisString    = " "   
-                        plot_vec=gsn_csm_vector(wks_ps,vect1(lo,:,:,li-lis),vect2(lo,:,:,li-lis),vecres)
+                        vecres                 = True           ; vector only 
+                                                                ;resources
+  			vecres@gsnDraw         = False          ; don't draw
+  			vecres@gsnFrame        = False          ; don't 
+                                                                ; advance frame
+  			vecres@vcGlyphStyle    = "CurlyVector"  ; curly vectors
+  			vecres@vcRefMagnitudeF = ref_mag        ; define 
+                                                                ; vector ref 
+                                                                ; mag
+  			vecres@vcRefLengthF    = 0.05           ; define 
+                                                                ; length of 
+                                                                ; vec ref
+  			vecres@gsnRightString  = " "            ; turn off 
+                                                                ; right string
+  			vecres@gsnLeftString   = " "            ; turn off 
+                                                                ; left string
+  			vecres@tiXAxisString   = " "   
+                        plot_vec=gsn_csm_vector(wks_ps,vect1(lo,:,:,li-lis),\
+                                                   vect2(lo,:,:,li-lis),vecres)
                         overlay(plot(n), plot_vec)
                      end if 
@@ -1835,6 +2066,8 @@
 
    if (vector .EQ. 1 .AND. plotvec .EQ. "plotvec") then 
-      if ((format_out .EQ. "eps" .OR. format_out .EQ. "epsi") .AND. no_time*no_layer*(no_var+1) .gt. no_rows*no_columns) then
-         gsn_panel(wks_ps,plot(0:(no_time*no_layer*(no_var+1))-1),(/no_var+1,no_layer*no_time/),cs_resP)
+      if ((format_out .EQ. "eps" .OR. format_out .EQ. "epsi") .AND. \
+           no_time*no_layer*(no_var+1) .gt. no_rows*no_columns) then
+         gsn_panel(wks_ps,plot(0:(no_time*no_layer*(no_var+1))-1),\
+                                       (/no_var+1,no_layer*no_time/),cs_resP)
          print(" ")
          print("Outputs to .eps or .epsi have only one frame")
@@ -1843,8 +2076,10 @@
          do np = 0,dim_plot-1,no_rows*no_columns   
             if ( np + no_rows*no_columns .gt. dim_plot-1) then 
-               gsn_panel(wks_ps, plot(np:dim_plot-1),(/no_rows,no_columns/),cs_resP)
+               gsn_panel(wks_ps, plot(np:dim_plot-1),(/no_rows,no_columns/),\
+                                                                      cs_resP)
                no_frames = no_frames + 1
             else
-               gsn_panel(wks_ps, plot(np:np+no_rows*no_columns-1),(/no_rows,no_columns/),cs_resP)
+               gsn_panel(wks_ps, plot(np:np+no_rows*no_columns-1),\
+                                              (/no_rows,no_columns/),cs_resP)
                no_frames = no_frames + 1
             end if
@@ -1852,5 +2087,6 @@
       end if
    else       
-      if ((format_out .EQ. "eps" .OR. format_out .EQ. "epsi") .AND. dim_plot .gt. no_rows*no_columns) then 
+      if ((format_out .EQ. "eps" .OR. format_out .EQ. "epsi") \
+                               .AND. dim_plot .gt. no_rows*no_columns) then 
          gsn_panel(wks_ps,plot(0:dim_plot-1),(/dim_plot,1/),cs_resP)
          print(" ")
@@ -1860,8 +2096,10 @@
          do np = 0,dim_plot-1,no_rows*no_columns  
             if ( np + no_rows*no_columns .gt. dim_plot-1) then
-               gsn_panel(wks_ps, plot(np:dim_plot-1),(/no_rows,no_columns/),cs_resP)
+               gsn_panel(wks_ps, plot(np:dim_plot-1),(/no_rows,no_columns/),\
+                                                                     cs_resP)
                no_frames = no_frames + 1
             else
-               gsn_panel(wks_ps, plot(np:np+no_rows*no_columns-1),(/no_rows,no_columns/),cs_resP)
+               gsn_panel(wks_ps, plot(np:np+no_rows*no_columns-1),\
+                                              (/no_rows,no_columns/),cs_resP)
                no_frames = no_frames + 1
             end if
